XCB 1.13

Data Fields
xcb_xkb_get_map_reply_t Struct Reference
XCB xkb API

xcb_xkb_get_map_reply_t More...

`#include <xkb.h>`

## Data Fields
uint8_t | response_type
uint8_t | deviceID
uint16_t | sequence
uint32_t | length
uint8_t | pad0 [2]
xcb_keycode_t | minKeyCode
xcb_keycode_t | maxKeyCode
uint16_t | present
uint8_t | firstType
uint8_t | nTypes
uint8_t | totalTypes
xcb_keycode_t | firstKeySym
uint16_t | totalSyms
uint8_t | nKeySyms
xcb_keycode_t | firstKeyAction
uint16_t | totalActions
uint8_t | nKeyActions
xcb_keycode_t | firstKeyBehavior
uint8_t | nKeyBehaviors
uint8_t | totalKeyBehaviors
xcb_keycode_t | firstKeyExplicit
uint8_t | nKeyExplicit
uint8_t | totalKeyExplicit
xcb_keycode_t | firstModMapKey
uint8_t | nModMapKeys
uint8_t | totalModMapKeys
xcb_keycode_t | firstVModMapKey
uint8_t | nVModMapKeys
uint8_t | totalVModMapKeys
uint8_t | pad1
uint16_t | virtualMods

## Detailed Description

xcb_xkb_get_map_reply_t

The documentation for this struct was generated from the following file:

- xkb.h